org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid

## Class ValidLRACSParticipant

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.ValidLRACSParticipant

    @ApplicationScoped
     @Path(value="valid-cs-participant1")
    public class ValidLRACSParticipant
    extends Object

Valid participant resource containing async non-JAX-RS participant methods with `CompletionStage` return types

### Field Summary

Fields
`static String` `ENLIST_WITH_COMPENSATE`
`static String` `ENLIST_WITH_COMPLETE`
`static String` `ROOT_PATH`

### Constructor Summary

Constructors
Constructor and Description
`ValidLRACSParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `acceptLRA(Integer recoveryPasses)`
`CompletionStage<Void>` `compensate(URI lraId)`
`CompletionStage<jakarta.ws.rs.core.Response>` `complete(URI lraId)`
`jakarta.ws.rs.core.Response` `enlistWithCompensate(URI lraId)`
`jakarta.ws.rs.core.Response` `enlistWithComplete(URI lraId)`
`jakarta.ws.rs.core.Response` `getAcceptLRA()`
`CompletionStage<ParticipantStatus>` `status(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROOT_PATH

    public static final String ROOT_PATH

See Also:
  Constant Field Values

#### ENLIST_WITH_COMPLETE

    public static final String ENLIST_WITH_COMPLETE

See Also:
  Constant Field Values

#### ENLIST_WITH_COMPENSATE

    public static final String ENLIST_WITH_COMPENSATE

See Also:
  Constant Field Values

### Constructor Detail

#### ValidLRACSParticipant

    public ValidLRACSParticipant()

### Method Detail

#### enlistWithComplete

    @GET
     @Path(value="enlist-complete")
    public jakarta.ws.rs.core.Response enlistWithComplete(@HeaderParam(value="Long-Running-Action")
                                                                                               URI lraId)

#### enlistWithCompensate

    @GET
     @Path(value="enlist-compensate")
    public jakarta.ws.rs.core.Response enlistWithCompensate(@HeaderParam(value="Long-Running-Action")
                                                                                                   URI lraId)

#### compensate

    public CompletionStage<Void> compensate(URI lraId)

#### complete

    public CompletionStage<jakarta.ws.rs.core.Response> complete(URI lraId)

#### status

    public CompletionStage<ParticipantStatus> status(URI lraId)

#### acceptLRA

    @PUT
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response acceptLRA(@QueryParam(value="recoveryCount") @DefaultValue(value="0")
                                                                              Integer recoveryPasses)

#### getAcceptLRA

    @GET
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response getAcceptLRA()